# class KIntSpinBox | A spin box widget for non-decimal numbers. More...
Definition | `#include <knuminput.h>`
Inherits | QSpinBox (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KIntSpinBox ( QWidget *parent=0, const char *name=0)
- KIntSpinBox (int lower, int upper, int step, int value, int base = 10, QWidget* parent = 0, const char* name = 0)
- virtual ~KIntSpinBox ()
- int value () const
- void setBase (int base)
- int base () const
- void setEditFocus (bool mark)

#### Protected Methods

- virtual QString mapValueToText (int)
- virtual int mapTextToValue (bool*)

## Detailed Description

An integer inputline with scrollbar and slider.

The class provides an easy interface to use other numeric systems then the decimal.

KIntSpinBox ( QWidget *parent=0, const char *name=0) | ### KIntSpinBox

Constructor.

Constructs a widget with an integer inputline with a little scrollbar and a slider, with minimal value 0, maximal value 99, step 1, base 10 and initial value 0.

KIntSpinBox (int lower, int upper, int step, int value, int base = 10, QWidget* parent = 0, const char* name = 0) | ### KIntSpinBox

Constructor.

Constructs a widget with an integer inputline with a little scrollbar and a slider.

Parameters:

lower | The lowest valid value.
upper | The greatest valid value.
step | The step size of the scrollbar.
value | The actual value.
base | The base of the used number system.
parent | The parent of the widget.
name | The Name of the widget.

~KIntSpinBox () | ### ~KIntSpinBox

[virtual]

Destructor.

int value () | ### value

[const]

Reimplemented for internal reasons; the API is not affected.

Reimplemented from QSpinBox.

void setBase (int base) | ### setBase

Sets the base in which the numbers in the spin box are represented.

int base () | ### base

[const]

Returns: the base in which numbers in the spin box are represented.

void setEditFocus (bool mark) | ### setEditFocus

sets focus and optionally marks all text

QString mapValueToText (int) | ### mapValueToText

[protected virtual]

Overloaded to make use of the base given in the constructor.

Reimplemented from QSpinBox.

int mapTextToValue (bool*) | ### mapTextToValue

[protected virtual]

Overloaded to make use of the base given in the constructor.

Reimplemented from QSpinBox.

void focusInEvent (QFocusEvent*) | ### focusInEvent

[protected virtual]

Generated by: root@sparc.ports.openbsd.org on Wed May 2 09:37:45 2001, using kdoc 2.0a53.